
QGIS Application - Bug report #13835

Shapefiles with EPSG 2926 and 2927 Washington State Plane North and South not recognized

2015-11-15 07:42 PM - clifford snow

Status: Closed

Priority: Normal

Assignee:

Category: Projection Support

Affected QGIS version:2.12.0 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 21859

Description

When opening shapefiles from Washington county and state agencies, QGIS defaults to USER:10000X projection instead of either EPSG

2926 or 2927. Both of the projections are in QGIS.

This doesn't impact QGIS use, but as someone new to QGIS and projections, it would help if QGIS recognized and displayed the

projection.

Attached is a copy of Pierce County GIS Roads .prj shapefile. Full shapefiles are available at 

http://gisdata.piercecowa.opendata.arcgis.com/datasets?q=Roads%2FRails

History

#1 - 2015-11-15 10:11 PM - Giovanni Manghi

- Operating System deleted (mac os x and ubuntu)

- Category set to Projection Support

- Status changed from Open to Feedback

- OS version deleted (10.10.5 and 15.04)

2927 is

+proj=lcc +lat_1=47.33333333333334 +lat_2=45.83333333333334 +lat_0=45.33333333333334 +lon_0=-120.5 +x_0=500000.0001016001 +y_0=0

+ellps=GRS80 +towgs84=0,0,0,0,0,0,0 +units=us-ft +no_defs

this shapefiles have

+proj=lcc +lat_1=47.33333333333334 +lat_2=45.83333333333334 +lat_0=45.33333333333334 +lon_0=-120.5 +x_0=500000.0001016002 +y_0=0

+ellps=GRS80 +towgs84=0,0,0,0,0,0,0 +units=us-ft +no_defs

there is one tiny difference, but that is enough to make qgis think is a different CRS.

The definition on spatialreference.org is

http://spatialreference.org/ref/epsg/2927/proj4/

... +x_0=500000.0001016001 ...

#2 - 2015-11-15 11:02 PM - clifford snow
http://gisdata.piercecowa.opendata.arcgis.com/datasets?q=Roads%2FRails
http://spatialreference.org/ref/epsg/2927/proj4/


Changing the longitude to match the .prj file (+x_0=500000.0001016001 to +x_0=500000.0001016002) made no difference.) I also removed the system

generated projections, 100001 with no change. QGIS still did not match the projection.

#3 - 2015-11-16 03:26 AM - Jürgen Fischer

- Subject changed from Shapefiles with EPSG 2926 and 2927 Washington State Plane North and South not recongized to Shapefiles with EPSG 2926 

and 2927 Washington State Plane North and South not recognized

#4 - 2015-11-16 05:08 AM - Giovanni Manghi

does not seems a qgis issue to me, but rather a data one. This is what OGR says about the projection of the downloaded data, as you can see there is no

"authority" parameter

giovanni@sibirica:~/Desktop/Railroads > ogrinfo -so Railroads.shp Railroads

INFO: Open of `Railroads.shp'

      using driver `ESRI Shapefile' successful.

Layer name: Railroads

Geometry: Line String

Feature Count: 163

Extent: (1093512.041297, 512003.733156) - (1230069.994152, 722811.599874)

Layer SRS WKT:

PROJCS["NAD83_HARN_Washington_South_ftUS",

    GEOGCS["GCS_NAD83(HARN)",

        DATUM["NAD83_High_Accuracy_Reference_Network",

            SPHEROID["GRS_1980",6378137,298.257222101]],

        PRIMEM["Greenwich",0],

        UNIT["Degree",0.017453292519943295]],

    PROJECTION["Lambert_Conformal_Conic_2SP"],

    PARAMETER["standard_parallel_1",47.33333333333334],

    PARAMETER["standard_parallel_2",45.83333333333334],

    PARAMETER["latitude_of_origin",45.33333333333334],

    PARAMETER["central_meridian",-120.5],

    PARAMETER["false_easting",1640416.667],

    PARAMETER["false_northing",0],

    UNIT["Foot_US",0.30480060960121924]]

OBJECTID: Integer (10.0)

PCID: String (80.0)

RouteID: String (80.0)

Fm: String (80.0)

Tm: String (80.0)

Source: String (80.0)

OwnerName: String (80.0)

OwnerCode: String (80.0)

EditBy: String (80.0)

EditOn: String (80.0)

Type: String (80.0)

DataSource: String (80.0)

After giving the layer the proper projection 2927 the paramter is correctly recognized

giovanni@sibirica:~/Desktop/Railroads > ogrinfo -so Railroads.shp Railroads

INFO: Open of `Railroads.shp'
      using driver `ESRI Shapefile' successful.

Layer name: Railroads

Geometry: Line String

Feature Count: 163

Extent: (1093512.041297, 512003.733156) - (1230069.994152, 722811.599874)

Layer SRS WKT:

PROJCS["NAD83 / Washington South (ftUS)",

    GEOGCS["NAD83",

        DATUM["NAD83_High_Accuracy_Reference_Network",

            SPHEROID["GRS 1980",6378137,298.257222101,

                AUTHORITY["EPSG","7019"]],

            TOWGS84[0,0,0,0,0,0,0],

            AUTHORITY["EPSG","6152"]],

        PRIMEM["Greenwich",0,

            AUTHORITY["EPSG","8901"]],

        UNIT["degree",0.0174532925199433,

            AUTHORITY["EPSG","9122"]],

        AUTHORITY["EPSG","4152"]],

    PROJECTION["Lambert_Conformal_Conic_2SP"],

    PARAMETER["standard_parallel_1",47.33333333333334],

    PARAMETER["standard_parallel_2",45.83333333333334],

    PARAMETER["latitude_of_origin",45.33333333333334],

    PARAMETER["central_meridian",-120.5],

    PARAMETER["false_easting",1640416.667],

    PARAMETER["false_northing",0],

    UNIT["US survey foot",0.3048006096012192,

        AUTHORITY["EPSG","9003"]],

    AXIS["X",EAST],

    AXIS["Y",NORTH],

    AUTHORITY["EPSG","2927"]]

OBJECTID: Integer (10.0)

PCID: String (80.0)

RouteID: String (80.0)

Fm: String (80.0)

Tm: String (80.0)

Source: String (80.0)

OwnerName: String (80.0)

OwnerCode: String (80.0)

EditBy: String (80.0)

EditOn: String (80.0)

Type: String (80.0)

DataSource: String (80.0)

#5 - 2015-11-16 07:43 AM - clifford snow

Typically I don't see authority parameters in .prj files. For example below is an ogrinfo report for a Census roads file for Franklin County, Washington, pulled

this morning, that QGIS reports as EGPS:4269

ogrinfo -so tl_2015_53021_roads.shp tl_2015_53021_roads

INFO: Open of `tl_2015_53021_roads.shp'

      using driver `ESRI Shapefile' successful.
Layer name: tl_2015_53021_roads

Geometry: Line String

Feature Count: 2944

Extent: (-119.453704, 46.202270) - (-118.203138, 46.738730)

Layer SRS WKT:

GEOGCS["GCS_North_American_1983",

    DATUM["North_American_Datum_1983",

        SPHEROID["GRS_1980",6378137,298.257222101]],

    PRIMEM["Greenwich",0],

    UNIT["Degree",0.017453292519943295]]

LINEARID: String (22.0)

FULLNAME: String (100.0)

RTTYP: String (1.0)

MTFCC: String (5.0)

#6 - 2015-12-27 01:03 PM - Giovanni Manghi

- Status changed from Feedback to Closed

- Resolution set to invalid

clifford snow wrote:

Typically I don't see authority parameters in .prj files. For example below is an ogrinfo report for a Census roads file for Franklin County,

Washington, pulled this morning, that QGIS reports as EGPS:4269

right, but anyway the rationale does not change: QGIS internal CRS DB is made of standard EPSG definition, if a layer has a CRS that does not match

(exactly) any of them then QGIS adds the layer with a custom CRS, that still works. You can always (easily) force QGIS to recreate the prj file and give

such layers the correct EPSG definition for the CRS. I can't see any QGIS bug here, but of course if I'm wrong please reopen this ticket.

#7 - 2016-01-11 01:36 PM - clifford snow

- Status changed from Closed to Reopened

I'd like to reopen this after discovering prj2epsg.org run by Boundless. When I plug in the .prj (below) the site returns 2285. (I was surprised.) I believe

QGIS should return the same.

PROJCS["NAD_1983_StatePlane_Washington_North_FIPS_4601_Feet",GEOGCS["GCS_North_American_1983",DATUM["D_North_America

_1983",SPHEROID["GRS_1980",6378137.0,298.257222101]],PRIMEM["Greenwich",0.0],UNIT["Degree",0.0174532925199433]],PROJECTION["Lambert_Conformal_Conic"],PARAMETER["False_Easting",1640416.666666667],PARAMETER["False_Northing",0.0],PARAMETER["

["Lambert_Conformal_Conic"],PARAMETER["False_Easting",1640416.666666667],PARAMETER["False_Northing",0.0],PARAMETER["Central_Meridian",-120.8333333333333],PARAMETER["Standard_Parallel_1",47.5],PARAMETER["Standard_Parallel_2",48.73333333333333],PARAMETER["Latitude_Of_Origin",47.0],UNIT["Foot_US",0.3048006096012192]]

Meridian",-120.8333333333333],PARAMETER["Standard_Parallel_1",47.5],PARAMETER["Standard_Parallel_2",48.73333333333333],PARAMETER["Latitude_Of_Origin",47.0],UNIT["Foot_US",0.3048006096012192]]

ETER["Latitude_Of_Origin",47.0],UNIT["Foot_US",0.3048006096012192]]

#8 - 2016-01-11 03:01 PM - Giovanni Manghi

- Status changed from Reopened to Feedback

- Resolution deleted (invalid)

clifford snow wrote:

I'd like to reopen this after discovering prj2epsg.org run by Boundless. When I plug in the .prj (below) the site returns 2285. (I was surprised.) I
believe QGIS should return the same.

[...]

can you attach the data in 2285?

#9 - 2016-01-11 07:12 PM - clifford snow

- File Roads-Named.prj added

Attached is the proj file from Skagit County Roads-Named.shp.

#10 - 2016-02-10 01:27 PM - Josiah Wahlrab

I believe this comes down to how ESRI and QGIS handle projections differently.  A similar situation is described in this blog post.  I don't believe this to be a

QGIS bug, but I do think it would be super useful for QGIS to be able to discern projections like prj2epsg.

#11 - 2016-05-23 08:15 AM - Giovanni Manghi

- Status changed from Feedback to Closed

closed in favor of #14871

Files

Roads-Named.prj 554 Bytes 2016-01-11 clifford snow
https://www.northrivergeographic.com/archives/qgis-2-x-you-can-run-but-you-cant-hide-from-projection-issues
http://prj2epsg.org/

